ARG BUILD_IMAGE="artefact.skao.int/ska-tango-images-pytango-builder:9.5.0"
ARG BASE_IMAGE="artefact.skao.int/ska-tango-images-pytango-runtime:9.5.0"
FROM $BUILD_IMAGE AS buildenv

FROM $BASE_IMAGE

# Install Poetry
USER root
ENV SETUPTOOLS_USE_DISTUTILS=stdlib

RUN poetry config virtualenvs.create false
WORKDIR /app
COPY --chown=tango:tango . /app

# Install runtime dependencies and the app
RUN poetry install --only main

# Install additional dependencies, including markupsafe
RUN pip install markupsafe

# Ensure Python 3 symlink exists
RUN rm /usr/bin/python && ln -s /usr/bin/python3 /usr/bin/python


USER tango